diff --git a/sql/v01_vehicle_data.sql b/sql/v01_vehicle_data.sql
new file mode 100644
index 0000000..74dc665
--- /dev/null
+++ b/sql/v01_vehicle_data.sql
@@ -0,0 +1,21 @@
+--
+-- Table structure for table `vehicle_data`
+--
+
+DROP TABLE IF EXISTS `vehicle_data`;
+CREATE TABLE `vehicle_data` (
+  `entry` mediumint(5) unsigned NOT NULL,
+  `flags` mediumint(8) unsigned NOT NULL default '0',
+  `Spell1` mediumint(8) unsigned NOT NULL default '0',
+  `Spell2` mediumint(8) unsigned NOT NULL default '0',
+  `Spell3` mediumint(8) unsigned NOT NULL default '0',
+  `Spell4` mediumint(8) unsigned NOT NULL default '0',
+  `Spell5` mediumint(8) unsigned NOT NULL default '0',
+  `Spell6` mediumint(8) unsigned NOT NULL default '0',
+  `Spell7` mediumint(8) unsigned NOT NULL default '0',
+  `Spell8` mediumint(8) unsigned NOT NULL default '0',
+  `Spell9` mediumint(8) unsigned NOT NULL default '0',
+  `Spell10` mediumint(8) unsigned NOT NULL default '0',
+  `req_aura` mediumint(8) unsigned NOT NULL default '0',
+  PRIMARY KEY  (`entry`)
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Vehicle System';
\ No newline at end of file
diff --git a/sql/v02_vehicle_seat_data.sql b/sql/v02_vehicle_seat_data.sql
new file mode 100644
index 0000000..5c3a390
--- /dev/null
+++ b/sql/v02_vehicle_seat_data.sql
@@ -0,0 +1,10 @@
+--
+-- Table structure for table `vehicle_seat_data`
+--
+
+DROP TABLE IF EXISTS `vehicle_seat_data`;
+CREATE TABLE `vehicle_seat_data` (
+  `seat` mediumint(5) unsigned NOT NULL,
+  `flags` mediumint(8) unsigned NOT NULL default '0',
+  PRIMARY KEY  (`seat`)
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Vehicle Seat System';
\ No newline at end of file
diff --git a/sql/v03_creature_addon_tables.sql b/sql/v03_creature_addon_tables.sql
new file mode 100644
index 0000000..7240ed4
--- /dev/null
+++ b/sql/v03_creature_addon_tables.sql
@@ -0,0 +1,7 @@
+ALTER TABLE creature_addon
+  ADD COLUMN    vehicle_id           smallint(5) unsigned NOT NULL default '0' AFTER moveflags,
+  ADD COLUMN    passengers           text AFTER vehicle_id;
+
+ALTER TABLE creature_template_addon
+  ADD COLUMN    vehicle_id           smallint(5) unsigned NOT NULL default '0' AFTER moveflags,
+  ADD COLUMN    passengers           text AFTER vehicle_id;
\ No newline at end of file
